profile
viewpoint

Ask questionsError loading tensorflow

System information

  • Have I written custom code (as opposed to using a stock example script provided in TensorFlow): NO
  • OS Platform and Distribution (e.g., Linux Ubuntu 16.04): Windows 10
  • Mobile device (e.g. iPhone 8, Pixel 2, Samsung Galaxy) if the issue happens on mobile device:
  • TensorFlow installed from (source or binary): binary
  • TensorFlow version (use command below): 1.14.0
  • Python version: 3.7
  • Bazel version (if compiling from source):
  • GCC/Compiler version (if compiling from source):
  • CUDA/cuDNN version: 10.1 - 10.1
  • GPU model and memory: Nvidia Quadro K5000 - 4Gb
  • Exact command to reproduce: import tensorflow as tf

Describe the problem

Error loading Tensorflow. Does not provide a clue about which DLL is failing to initialize.

Source code / logs

import tensorflow as tf _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "C:\Program Files\Python37\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "C:\Program Files\Python37\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: Error en una rutina de inicialización de biblioteca de vínculos dinámicos (DLL). Failed to load the native TensorFlow runtime.

Calling from a program:

python style.py Traceback (most recent call last): File "C:\Users\Javier\AppData\Roaming\Python\Python37\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "C:\Users\Javier\AppData\Roaming\Python\Python37\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "C:\Users\Javier\AppData\Roaming\Python\Python37\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "C:\Program Files\Python37\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "C:\Program Files\Python37\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: Error en una rutina de inicialización de biblioteca de vínculos dinámicos (DLL). During handling of the above exception, another exception occurred: Traceback (most recent call last): File "style.py", line 9, in <module> _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "C:\Program Files\Python37\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "C:\Program Files\Python37\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: Error en una rutina de inicialización de biblioteca de vínculos dinámicos (DLL). Failed to load the native TensorFlow runtime.

tensorflow/tensorflow

Answer questions littlemountainman

Solved here #13715

useful!

Related questions

ModuleNotFoundError: No module named 'tensorflow.contrib' hot 8
Error occurred when finalizing GeneratorDataset iterator
ModuleNotFoundError: No module named 'tensorflow.contrib'
Lossy conversion from float32 to uint8. Range [0, 1]. Convert image to uint8 prior to saving to suppress this warning. hot 4
TF2.0 AutoGraph issue hot 4
When importing TensorFlow, error loading Hadoop hot 4
tensorflow2.0 detected 'xla_gpu' , but 'gpu' expected hot 3
The flag 'log_dir' is defined twice. hot 3
[TF 2.0] Dataset has no attribute 'make_one_shot_iterator' hot 3
ImportError: No module named 'tensorflow.tools' hot 3
Tensorflow 2.0 error when used via pyinstaller build - ImportError: cannot import name 'pywrap_tensorflow' from 'tensorflow_core.python' hot 3
Tf.Keras metrics issue hot 3
AttributeError: module 'tensorflow' has no attribute 'set_random_seed' hot 3
AttributeError: module &#39;tensorflow&#39; has no attribute &#39;Session&#39; hot 3
module 'tensorflow' has no attribute 'ConfigProto' hot 3
Github User Rank List